CUPTI (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.32. CUpti_ActivityMarkerData Struct Reference

## [CUPTI Activity API]

The marker data contains color, payload, and category. (CUPTI_ACTIVITY_KIND_MARKER_DATA).

### Public Variables

uint32_t category
uint32_t color
CUpti_ActivityFlag flags
uint32_t id
CUpti_ActivityKind kind
union CUpti_MetricValue payload
CUpti_MetricValueKind payloadKind

### Variables

uint32_t CUpti_ActivityMarkerData::category [inherited]

  The category for the marker.

uint32_t CUpti_ActivityMarkerData::color [inherited]

  The color for the marker.

CUpti_ActivityFlag CUpti_ActivityMarkerData::flags [inherited]

  The flags associated with the marker.

  See also:

  CUpti_ActivityFlag

uint32_t CUpti_ActivityMarkerData::id [inherited]

  The marker ID.

CUpti_ActivityKind CUpti_ActivityMarkerData::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_MARKER_DATA.

union CUpti_MetricValue CUpti_ActivityMarkerData::payload [inherited]

  The payload value.

CUpti_MetricValueKind CUpti_ActivityMarkerData::payloadKind [inherited]

  Defines the payload format for the value associated with the marker.